% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sentimentr-package.R
\docType{data}
\name{cannon_reviews}
\alias{cannon_reviews}
\title{Cannon G3 Camera Product Reviews From Amazon}
\format{A data frame with 45 rows and 2 variables}
\usage{
data(cannon_reviews)
}
\description{
A dataset containing Amazon product reviews for the Cannon G3 Camera.  This
data set was compiled by Hu and Liu (2004).  Where a sentence contains for
than one opinion score and average of all scores is used.
}
\details{
\itemize{
  \item number. The review number.
  \item opinion.score. Hu and Liu (2004)'s average opinion rating for a
  sentence.   Negative and positive reflects direction, a negative or positive
  sentiment.  Opinion strength varies between 3 (strongest), and 1 (weakest).
  \item review. The text from the review.
}
}
\references{
Minqing Hu and Bing Liu. (2004). Mining and summarizing customer reviews.
   Proceedings of the ACM SIGKDD International Conference on
   Knowledge Discovery & Data Mining (KDD-04).

Minqing Hu and Bing Liu. (2004)."Mining Opinion Features in Customer
   Reviews. Proceedings of Nineteeth National Conference on
   Artificial Intellgience (AAAI-2004).

\file{https://www.cs.uic.edu/~liub/FBS/sentiment-analysis.html}
}
\keyword{datasets}

